Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.monitor
Interface RunningReport

    public interface RunningReport

Interface `RunningReport` contains information of a running report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog of the report of the report .
`int` | `getLaunchType()` Returns the launch type of the task .
`java.lang.String` | `getLaunchTypeToString()` Get the launch type of display string.
`java.lang.String` | `getParamFile()` Return the parameter file name with directory.
`java.lang.String` | `getPublishType()` Return the report publish type of the active task and display as "Task Type".
`java.lang.String` | `getReport()` Returns the report name of the report.
`java.lang.String` | `getRunName()` Get the name which provide JREngine in cluster server.
`java.lang.String` | `getRunPort()` Get the port which provide JREngine in cluster server.
`java.util.Date` | `getStartedTime()` Returns the started time of the current running report.
`java.util.Date` | `getSubmitedTime()` Returns the submit time of running report from client .
`java.lang.String` | `getTaskClass()` Returns the task class of the task .
`java.lang.String` | `getTaskClassToString()` Get the task class of display string.
`java.lang.String` | `getTaskID()` Returns the task ID of the report.
`java.lang.String` | `getUserID()` Returns the user id of running task.
`long` | `getWaitTimeInRun()` Return the time of in wait queue.
`void` | `setRunHost(java.lang.String runHost)` set the name which provide JREngine in cluster server.
`void` | `setRunPort(java.lang.String runPort)` set the port which provide JREngine in cluster server.

Method Detail

### getPublishType

    java.lang.String getPublishType()

  Return the report publish type of the active task and display as "Task Type".

### getUserID

    java.lang.String getUserID()

  Returns the user id of running task.

  Returns:
    the started time of the current running task.

### getStartedTime

    java.util.Date getStartedTime()

  Returns the started time of the current running report.

  Returns:
    the started time of the current running report.

### getSubmitedTime

    java.util.Date getSubmitedTime()

  Returns the submit time of running report from client .

  Returns:
    the report submit time from client.

### getTaskID

    java.lang.String getTaskID()

  Returns the task ID of the report.

  Returns:
    the task ID of the report.

### getTaskClass

    java.lang.String getTaskClass()

  Returns the task class of the task .

  Returns:
    the task class of the task .

### getLaunchType

    int getLaunchType()

  Returns the launch type of the task .

  Returns:
    the launch type of the task .

### getCatalog

    java.lang.String getCatalog()

  Returns the catalog of the report of the report .

  Returns:
    the catalog of the report of the report.

### getReport

    java.lang.String getReport()

  Returns the report name of the report.

  Returns:
    the report name of the report.

### getParamFile

    java.lang.String getParamFile()

  Return the parameter file name with directory.

  Returns:
    the parameter file name with directory.

### getWaitTimeInRun

    long getWaitTimeInRun()

  Return the time of in wait queue.

  Returns:
    the time of in wait queue.

### getRunName

    java.lang.String getRunName()

  Get the name which provide JREngine in cluster server.

  Returns:
    the name which provide JREngine in cluster server.

### getRunPort

    java.lang.String getRunPort()

  Get the port which provide JREngine in cluster server.

  Returns:
    the port which provide JREngine in cluster server.

### setRunHost

    void setRunHost(java.lang.String runHost)

  set the name which provide JREngine in cluster server.

  Parameters:
    `runHost` - the host name which provide JREngine in cluster server.

### setRunPort

    void setRunPort(java.lang.String runPort)

  set the port which provide JREngine in cluster server.

  Parameters:
    `runPort` - the port which provide JREngine in cluster server.

### getLaunchTypeToString

    java.lang.String getLaunchTypeToString()

  Get the launch type of display string.

  Returns:
    the launch type of display string with the launch type.

### getTaskClassToString

    java.lang.String getTaskClassToString()

  Get the task class of display string.

  Returns:
    the task class of display string .

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD